# Please keep this package in sync with FC

%global major 0
%define libname %mklibname epoxy %{major}
%define devname %mklibname -d epoxy

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Direct Rendering Manager runtime library
Name:		libepoxy
Group:		System/Libraries
Version:	1.5.10
Release:	%mkrel 1
License:	MIT
URL:		http://github.com/anholt/libepoxy
Source0:	https://github.com/anholt/libepoxy/releases/download/%{version}/libepoxy-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	mesa-devel
BuildRequires:	x11-util-macros
BuildRequires:	python3

%description
A library for handling OpenGL function pointer management.

%package -n %{libname}
Summary:	Direct Rendering Manager runtime library
Group:		System/Libraries

%description -n %{libname}
A library for handling OpenGL function pointer management.

%package -n %{devname}
Summary:	Development files for libepoxy
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
%meson
%meson_build

%install
rm -rf %buildroot
%meson_install


%files -n %{libname}
%{_libdir}/libepoxy.so.%{major}
%{_libdir}/libepoxy.so.%{major}.*

%files -n %{devname}
%dir %{_includedir}/epoxy/
%{_includedir}/epoxy/*
%{_libdir}/libepoxy.so
%{_libdir}/pkgconfig/epoxy.pc



%changelog
* Tue Nov 29 2022 tex - 1.5.10-1pclos2022
- new version

* Mon Aug 16 2021 tex - 1.5.9-1pclos2021
- new version

* Fri May 21 2021 tex - 1.5.8-1pclos2021
- new version 1.5.8
